Bug 178771 - Profiler Agent Warning: Failed to lookup cached class
Profiler Agent Warning: Failed to lookup cached class
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-17 03:59 UTC by Tomas Hurka
Modified: 2009-12-22 23:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2009-12-17 03:59:12 UTC
See VisualVM issue #345 (https://visualvm.dev.java.net/issues/show_bug.cgi?id=345) for more details.
Comment 1 Tomas Hurka 2009-12-21 07:48:52 UTC
The problem is caused by classes, which are (at the time of attaching) loaded but not linked. Such classes already posted ClassFileLoadHook and RetransformClasses cannot be used to obtain their bytecode and therefor they are not present in classbyte cache. The fix is to change the code to allow to cache such classes in ProfilerInterface.classLoadHook() method.

Fixed in profiler-main together with 178792
changeset:   155901:ee5a4dcb04e1
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Dec 21 12:07:00 2009 +0100
summary:     bugfix #178771 and #178792

changeset:   155902:19a0dd9622a0
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Dec 21 13:07:24 2009 +0100
summary:     new profiler native binaries with the following changesets:
fbbd58a28aa2 dc7f0d902bee 50e8150a97fe ee5a4dcb04e1
Comment 2 Quality Engineering 2009-12-22 23:43:20 UTC
Integrated into 'main-golden', will be available in build *200912230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ee5a4dcb04e1
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #178771 and #178792
bugfix #178771 - cache loaded classes in several calls instead of one;
                 do not allow to redefine unchanged classes;
                 make sure that retransformIsRunning is initialized
bugfix #178792 - allow to cache classes when _ctable_size > 0;
                 cache classes, which was initialy loaded but not linked,
                 in ProfilerInterface.classLoadHook()
print error code returned by RetransformClasses()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo